body{
  background-color: #f1f4f7;
}

.tf-header{
  background: var(--white);
}

.header-inner .header-right .header-button{
     padding: 10px 25px;
  background: var(--text);
  color: #fff;
  border-radius: 5px;
  font-size: 18px;
  font-weight: 500;
  position: relative;
  transition: all 0.5s;
  z-index: 1;
  overflow: hidden;
}

@media (max-width:767px) {
  .header-inner .header-right .header-button{
    padding: 10px 15px;
  }
}

 .header-inner .header-right .header-button:before{
  content: '';
  position: absolute;
  background: var(--primary);
  height: 0;
  left: 0;
  bottom: 0;
  width: 100%;
  border-radius: 0px;
  -webkit-border-radius: 0px;
  -moz-border-radius: 0px;
  -ms-border-radius: 0px;
  -o-border-radius: 0px;
  z-index: -1;
  transition: all 0.5s;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  -ms-transition: all 0.5s;
  -o-transition: all 0.5s;
}

.header-inner .header-right .header-button:hover:before{
  height: 100%;
}

.cursor-pointer{
    cursor: pointer;
}

/* .tf-slideshow .sld_image img{
  height: 100% !important;
} */


.flat-spacing {
	padding-top: 50px;
	padding-bottom: 50px;
}

.category-v02{
  background: var(--white);
}




.home-products .product-list .product-item{
 padding: 15px;
  background-color: #fff;
  border-radius: 15px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  border: 1px solid #e5e5e5;
   width: 100%;
}

.home-products .product-list .product-item .img-box{
  position: relative;
  margin-bottom: 15px;
}


.home-products .product-list .product-item .img{
width: 100%;
  position: relative;
  overflow: hidden;
  aspect-ratio: 1/1;
  max-height: 100%;
  display: block;
}

.home-products .product-list .product-item .img img{
   width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.home-products .product-list .product-item .contents{
  border-top: 1px solid #e5e5e5;
  padding-top: 15px;
}

.home-products .product-list .product-item .contents h3 {
	font-size: 16px;
	font-weight: 600;
	letter-spacing: 0.5px;
	color: var(--text);
	margin: 0;
	text-transform: capitalize;
	margin-bottom: 10px;
	display: -webkit-box;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
	line-height: 1.3;
}

.home-products .product-list .product-item .contents p{
  font-size: 16px;
  color: var(--text-2);
  margin: 0;
  font-weight: 500;
  margin-bottom: unset;
}

.home-products .product-list .product-item .contents p .old-price{
font-weight: 600;
color: var(--primary);
text-decoration: line-through;
text-decoration-color: var(--primary);
}


.home-products .product-list .product-item .sale-badge {
	position: absolute;
	top: 15px;
	left: 15px;
	background: var(--on-surface);
	color: #fff;
	padding: 5px 10px;
	font-size: 12px;
	border-radius: 5px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	font-weight: 500;
	letter-spacing: 1px;
	text-transform: uppercase;
  line-height: 1.3;
}

.home-products .product-list .product-item .stock-out {
  position: absolute;
  top: 15px;
  right: 15px;
  background: #F03E3E;
  color: #fff;
  padding: 5px 10px;
  font-size: 12px;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  font-weight: 500;
  letter-spacing: 1px;
  text-transform: uppercase;
}

.home-products .product-list .product-item .add-to-cart{
  display: block;
  width: fit-content;
  padding: 10px 25px;
  background: var(--text);
  color: #fff;
  border-radius: 50px;
  font-size: 14px;
  text-align: center;
  font-weight: 500;
  transition: all 0.3s ease;
  -webkit-border-radius: 50px;
  -moz-border-radius: 50px;
  -ms-border-radius: 50px;
  -o-border-radius: 50px;
  position: absolute;
  bottom: 15px;
  left: 50%;
  transform: translateX(-50%);
  opacity: 0;
  visibility: hidden;
}

.home-products .product-list .product-item .add-to-cart:hover{
  background: var(--primary);
}

.home-products .product-list .product-item:hover .add-to-cart{
  opacity: 1;
  visibility: visible;
}

@media (max-width:767px) {
  
.home-products .product-list .product-item .add-to-cart{
  opacity: 1;
  visibility: visible;
  font-size: 16px;
  padding: 8px 12px;
  left: unset;
  transform:unset;;
  -webkit-transform:unset;
  -moz-transform:unset;
  -ms-transform:unset;
  -o-transform:unset;
  right:15px;
}
}


@media (min-width: 992px) {
.sect-heading.type-2 {
    margin-bottom: 15px;
  }
}


.banner-why-choose{
  background: var(--white);
}


.category-v02 .cate-content .cate_quantity{
  margin:0;
}

.testimonial-v01.style-2{
  background: var(--white);
}

 .testimonial-v01.style-2 .tes_text{
  margin-bottom: 0;
 }

 .about-blog .flat-spacing{
  padding-top: 0px;
 }


 .main-blog-single .blog-heading .entry-tag{
  background: var(--white);
 }


 .article-blog .blog-image {
	border-radius: 16px;
	overflow: hidden;
	position: relative;
	display: block;
	aspect-ratio: 2 / 1;
}

.article-blog .entry-title a{
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;

}

.tf-product-info-wrap .tf-product-trust-seal, .product-thumbs-slider .tf-product-media-main .item{
  background: var(--white);
}

.wg-quantity{
  background: var(--white);
}

#gallery-swiper-started{
  background: var(--white);
}


.article-blog .blog-image{
 border-radius: 16px 16px 0 0;
 -webkit-border-radius: 16px 16px 0 0;
 -moz-border-radius: 16px 16px 0 0;
 -ms-border-radius: 16px 16px 0 0;
 -o-border-radius: 16px 16px 0 0;
}